Bug 991699 - Strange dependencies with epstopdf*
Strange dependencies with epstopdf*
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: texlive (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jindrich Novy
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-03 15:32 EDT by Kevin Fenzi
Modified: 2013-11-10 03:02 EST (History)
5 users (show)

See Also:
Fixed In Version: texlive-2013-3.20131021_r31961.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-10 03:02:45 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kevin Fenzi 2013-08-03 15:32:30 EDT
I noticed doxygen failed to build due to: 

bash: /usr/bin/epstopdf: No such file or directory

It BuildRequires: /usr/bin/epstopdf

but this doesn't install the actual script needed: 

lrwxrwxrwx 1 root root 58 Aug  3 15:06 /usr/bin/epstopdf -> /usr/share/texlive/texmf-dist/scripts/epstopdf/epstopdf.pl
$ ls -la /usr/share/texlive/texmf-dist/scripts/epstopdf/epstopdf.pl
ls: cannot access /usr/share/texlive/texmf-dist/scripts/epstopdf/epstopdf.pl: No such file or directory

That actual script is in texlive-epstopdf (the main package). Only the link is in the -bin subpackage. 

texlive-epstopdf requires the bin package, which seems backwards. 

Shouldn't the bin package require the things it needs to actually function?
Comment 1 Robert Scheck 2013-08-03 16:43:58 EDT
Please revert or adapt http://pkgs.fedoraproject.org/cgit/doxygen.git/commit
/doxygen.spec?id=24175f67a1e0762f102da7b029a8586202e66074 accordingly once this
has been clarified.
Comment 2 Fedora End Of Life 2013-09-16 11:00:43 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 3 Fedora Update System 2013-10-17 06:54:55 EDT
texlive-2013-1.20131014_r31898.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/texlive-2013-1.20131014_r31898.fc20
Comment 4 Fedora Update System 2013-10-17 06:57:42 EDT
texlive-2013-1.20131014_r31898.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/texlive-2013-1.20131014_r31898.fc19
Comment 5 Fedora Update System 2013-10-17 16:25:36 EDT
Package texlive-2013-1.20131014_r31898.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing texlive-2013-1.20131014_r31898.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-19153/texlive-2013-1.20131014_r31898.fc20
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2013-11-10 03:02:45 EST
texlive-2013-3.20131021_r31961.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.